using System;
using System.IO;

class Chairs
{
	static void Main(string[] args)
	{
		string s = Console.ReadLine();
		int n = int.Parse(s);
		int [] inTime = new int [n];
		int [] outTime = new int [n];
		for (int i = 0; i < n; i++)
		{
			s = Console.ReadLine();
			string [] p = s.Split(new char [] {' ', ':'});
			inTime[i] = int.Parse(p [0]) * 60 * 60 + int.Parse(p [1]) * 60 + int.Parse(p [2]);
			outTime[i] = int.Parse(p [3]) * 60 * 60 + int.Parse(p [4]) * 60 + int.Parse(p [5]) + 1;
		}
		int [] time = new int [2 * n];
		int [] mark = new int [2 * n];
		for (int i = 0; i < n; i++)
		{
			time [2 * i] = inTime [i];
			time [2 * i + 1] = outTime [i];
			mark [2 * i] = 1;
			mark [2 * i + 1] = -1;
		}
		Array.Sort(time, mark);
		int sol = 0;
		int sum = 0;
		for (int i = 0; i < 2 * n; i++)
		{
			if ((i > 0) && (time [i] > time [i - 1]) && (sum > sol))
				sol = sum;
			sum = sum + mark [i];
		}
		sol = Math.Max(sol, sum);
		Console.WriteLine(sol);
	}
}
